Subject: Re: Agenda experiment for IETF 103 in November in Bangkok

From: Ted Hardie <[email-masked]>
Date: Wed, 16 May 2018 10:12:28 -0700

Howdy,

On Wed, May 16, 2018 at 9:49 AM, John C Klensin <[email-masked]> wrote:

>
> One of my concerns, which parallels your
> comments, is that the more Hackathons and convention-like
> activities (including tutorials, time for essentially
> unconstrained informal gatherings, exhibition areas, etc.), come
> to be considered and seen as important in
> laying out the schedule, the more likely we will see evaluations
> and decisions shift as to who gets support for attendance at
> IETF meetings and how much work people have to do to justify
> that support.

One of the difficulties with English is that it sometimes hard to tell
whether a conjunction is meant to gather things into a set or distinguish
them from each other.  In your comment above you say "Hackathons and
convention-like activities".  I'm hoping that in this case you meant to
distinguish them from each other.

Hackathons are, at least in my opinion, about as far from convention-like
exhibitions as you can get while sharing the same hotel food.  We are
hosting them in part because we want to see decisions shift on who gets
support for attendance, so that folks who are writing the code that
implements and informs our specifications get to come.  We don't want to do
that to disfavor any current attendee, of course, but to broaden the base
of participation in a way that is particularly useful to producing good
standards.

I hope you concur with that goal.

regards,

Ted Hardie

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 16 May 2018 14:33:32 -0400

For those of us with wives and/or children, weekends are an issue. In
particular being away two weekends in a row is a serious issue.

Since the meeting has to start on a Monday at the very latest, travel on
Sunday is inevitable and often it is going to be Saturday as well just to
be sentient 9am Monday morning. So the meeting creep into the prior weekend
is not much of an issue for me.

Meeting creep into the following weekend is. Very often, I have to book
flights before the agenda is published. So I will often have booked to
leave Friday morning before I even know if there is a meeting I might want
to attend.

Killing Friday meetings is all good as far as I am concerned. If I wanted
to meet with people informally, I would probably hold the pre-meeting on
the previous Friday in preference to the following one. And that is what I
have seen a lot of folk do in fact.

---

From: John C Klensin <[email-masked]>
Date: Wed, 16 May 2018 17:26:27 -0400

Ted,

--On Wednesday, May 16, 2018 10:12 -0700 Ted Hardie
<[email-masked]> wrote:

> Howdy,
>...
> One of the difficulties with English is that it sometimes hard
> to tell whether a conjunction is meant to gather things into a
> set or distinguish them from each other.  In your comment
> above you say "Hackathons and convention-like activities".
> I'm hoping that in this case you meant to distinguish them
> from each other.

I did indeed and my apologies for any confusion.

> Hackathons are, at least in my opinion, about as far from
> convention-like exhibitions as you can get while sharing the
> same hotel food.  We are hosting them in part because we want
> to see decisions shift on who gets support for attendance, so
> that folks who are writing the code that implements and
> informs our specifications get to come.  We don't want to do
> that to disfavor any current attendee, of course, but to
> broaden the base of participation in a way that is
> particularly useful to producing good standards.
> 

I do but only up to a point and with two concerns:

(1) Organizations with "you get to use X hours or days a well
doing things you think are worthwhile and we will pay you or
otherwise support you doing that time" policies notwithstanding,
suppose I'm a manager or equivalent responsible party in a more
traditional organization.  Suppose someone (or several people)
for whom I'm responsible are really good implementers.  Suppose
they come to me and say something that I hear as "we would like
to go to IETF a day or two early, incur additional costs for
hotels and the like that we expect you to pay for, and spend the
time doing programming on their work rather than yours/ the
company's".   I wouldn't predict good results, at least unless I
hear the request as including "if you don't let me do this, I'm
likely to start looking for another job" and, of course, that
might or might not work.

The concern is closely related to concerns you have heard me
express about "professional standardizers": for any particular
organization, to the extent to which IETF participation and the
time and resources it takes are seen as competing with, rather
than complementing, "day job" objectives and responsibilities,
the people who are likely to end up attending are those who are
not more valuable in other ways.  The IETF is not special in
that regard -- every standards body seems to develop some
version of it, at least once the initial versions of the truly
fundamental core standards are complete.  In some respects, we
have been either lucky or smart that it has not happened sooner
and with more impact.

(2) I've said this before, but we need to keep in mind that
there is a fundamental cultural conflict between the idea of
FOSS software that people take and modify to reflect their
personal ideas and preferences -- i.e., a situation in which
regular forking of specs is the norm rather than the exception
(even to the point of sometimes being considered as a goal) and
standards that put a high premium on interoperability, the
ability to substitute one implementation for others, and the
stability both require.    I don't believe there are problems
caused by that difference that are insurmountable if people are
aware of the tension and willing to work together, but awareness
of the difference in perspectives is very important.   Of
course, for the particular case of the software and systems that
support the IETF (as contrasted with systems and approaches we
expect to standardize for others), those concerns are probably
irrelevant.

best,
    john

---

From: George Michaelson <[email-masked]>
Date: Thu, 17 May 2018 09:15:50 +1000

I would encourage choices which lead to shorter daycount. Whilst I
enjoy the hackathon, and the mentor sessions, and the training and
co-located meetings, I think in time-terms they are not helping and
should be constrained, or curtailed, or focussed. If you demand a does
not clash with b does not clash with c does not clash with d enough,
the only path out is to lengthen time. I think the people who do
hackathon, mentoring and ISOC fellows and policy *maybe* have to morph
in substantive ways to 'specialists' in this role, and basically not
get to define every WG as a 'must not clash'

I think (I have thought for some time) that several highly functional
areas of work like MIB engineering should move out of the week. I
don't mean to objectify the MIB WG people, I just think that this and
a number of other things could probably run as virtuals or
asynchronously to the IETF most of the time.

I seriously wonder about the spawning of *6* named groups. And,
related *dns* groups. It feels like 'divide and conquer' has simply
become an expansion of 'a must not clash with b must not clash with c'
problem. Maybe, we need ->Less<- WG not more?

I would encourage choices which accept we maybe need more steerage how
to "do it" in WG time. I am pretty sure I am a net contributor of
meeting delay, I can recognize the pathologies: Much less discussion
on things in drafts which need f2f time to converge, Much more
argument and discussion of what really interests us, which may not
usefully promote drafts -> documents closure.

Finally, and I say this knowing it points back to me, I think the
time-wasters should be encouraged to shut up and sit down.

---

From: Michael Richardson <[email-masked]>
Date: Wed, 16 May 2018 19:25:31 -0400

John C Klensin <[email-masked]> wrote:
    > organization.  Suppose someone (or several people) for whom I'm
    > responsible are really good implementers.  Suppose they come to me and
    > say something that I hear as "we would like to go to IETF a day or two
    > early, incur additional costs for hotels and the like that we expect
    > you to pay for, and spend the time doing programming on their work
    > rather than yours/ the company's".  I wouldn't predict good results, at
    > least unless I hear the request as including "if you don't let me do
    > this, I'm likely to start looking for another job" and, of course, that
    > might or might not work.

"Boss, J,K,Q and I will be working 30 hours overtime (each) that weekend getting
the interoperability bugs out of the code before we go to the IETF meeting
about the specification that determines what code we are supposed to write".

It actually won't get to "looking for another job", because the person likely
left when the IETF support went away.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        | network architect  [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Warren Kumari <[email-masked]>
Date: Thu, 17 May 2018 15:33:34 +0200

> left when the IETF support went away.

Yup, I see the hackathon as something which makes it easier, not harder to
get support for.
I see more of the "we would like to go to the hackathon to work with others
on making sure our thingie works with their thingie. I'd like to stay a few
days extra to attend the IETF as well" -- for some set of people, the
chance for vendor G and vendor H to cooperate is more valuable than the
(perceived) navel-gazing and comma fighting.

W

-- 
I don't think the execution is relevant when it was obviously a bad idea in
the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair of
pants.
    ---maf

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Thu, 17 May 2018 16:02:58 -0400

> (perceived) navel-gazing and comma fighting.

​+1

Also, I am in the position of looking to persuade my engineers to attend.​
They are much more interested in attending a hackathon than the WG session.